%define oname IPy

Summary:        Python module for handling IPv4 and IPv6 Addresses and Networks
Name:           python-%{oname}
Version:        0.62
Release:        %mkrel 1
Epoch:          0
URL:            http://software.inl.fr/trac/trac.cgi/wiki/IPy
Source0:        http://cheeseshop.python.org/packages/source/I/IPy/IPy-%{version}.tar.gz
License:        BSD
Group:          Development/Python
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
IPy is a Python module for handling IPv4 and IPv6 Addresses and Networks
in a fashion similar to perl's Net::IP and friends. The IP class allows
a comfortable parsing and handling for most notations in use for IPv4
and IPv6 Addresses and Networks.

%prep
%setup -q -n %{oname}-%{version}

%build
CFLAGS="%{optflags}" %{_bindir}/python setup.py build

%install
%{__rm} -rf %{buildroot}
%{_bindir}/python setup.py install --root=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog PKG-INFO README example
%{python_sitelib}/%{oname}*




%changelog
* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0:0.62-1mdv2009.0
+ Revision: 280551
- New release

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:0.55-4mdv2009.0
+ Revision: 259648
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:0.55-3mdv2009.0
+ Revision: 247487
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0:0.55-1mdv2008.1
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + David Walluck <walluck@mandriva.org>
    - 0.55


* Sat Jan 20 2007 David Walluck <walluck@mandriva.org> 0.52-1mdv2007.0
+ Revision: 110982
- 0.52

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0:0.51-2mdv2007.1
+ Revision: 96523
- Rebuild against new python

* Thu Nov 02 2006 David Walluck <walluck@mandriva.org> 0:0.51-1mdv2007.1
+ Revision: 75609
- 0.51

* Mon Oct 16 2006 David Walluck <walluck@mandriva.org> 0:0.42-3mdv2007.1
+ Revision: 65303
- sync with 2mdv
- Import python-IPy

* Sun Sep 17 2006 David Walluck <walluck@mandriva.com> 0:0.42-1mdv2007.0
- release

